openapi: 3.0.0

info:
    title: Golemio Input Gateway API
    description: >-
        <p><img src="https://storage.golemio.cz/golemiocz/images/golemioapi_logos.png" alt="Logos" /></p>
        <p><b>Toto je část dokumentace REST API projektu pražské datové platformy Golemio, která obsahuje popis Input Gateway API.</b></p>
        <p>Veškeré dotazy prosím směřujte na <a href="mailto:golemio@operatorict.cz?subject=golemioapi">golemio@operatorict.cz</a>.</p>
        <p>Dokumentace je v anglickém jazyce. Více informací o projektu naleznete na <a href="https://www.golemio.cz/">www.golemio.cz</a>.</p>

        <H1>Description</H1>
        <p><b>This documentation covers the RESTful API of the Golemio Prague Data Platform project, specifically detailing the Input Gateway API.</b></p>
        <p>Support is accessible via <a href="mailto:golemio@operatorict.cz?subject=golemioapi">golemio@operatorict.cz</a>.</p>
        <p>For more information about Golemio, please visit the website <a href="https://www.golemio.cz/">www.golemio.cz</a>.</p>

        <H2>Golemio API documentation:</H2>

        <li><a href="https://api.golemio.cz/docs/openapi/">Main Golemio API</a></li>
        <li><a href="https://api.golemio.cz/docs/public-openapi/">Open Data Golemio API</a></li>
        <li>👉 Golemio Input Gateway API</li>
        <li><a href="https://api.golemio.cz/pid/docs/openapi/">Public Transport Golemio API</a></li>
        <li><a href="https://api.golemio.cz/pid/input-gateway/docs/openapi/">Public Transport Golemio Input Gateway API</a></li>

        <H1>General info</H1>
        <H2>Authorization</H2>
        <p>Generate your token at <a href="https://api.golemio.cz/api-keys">api.golemio.cz/api-keys</a>.</p>
        <p><b>Use the token as the value of the X-Access-Token header.</b></p>

    version: 1.0.0
    contact:
        name: Golemio Prague Data Plaform
        email: golemio@operatorict.cz
        url: https://golemio.cz

servers:
    - url: https://api.golemio.cz/input-gateway/v1
      description: Main (production) server
    - url: https://rabin.golemio.cz/input-gateway/v1
      description: Test (development) server

components:
    securitySchemes:
        ApiKeyAuth: # arbitrary name for the security scheme
            type: apiKey
            in: header
            name: X-Access-Token # name of the header, query parameter or cookie

# Apply the API key globally to all operations
security:
    - ApiKeyAuth: []
